<?php
namespace Claromentis\Search\Application;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"] ?: array()) + array("_0c5123aa744f69b" . "bc0e8b3ea2f6e847" . "d" => base64_decode("bG" . "1z" . "Zw" . "=="), "_b5376d0e9fe3d5eb6bf061a0812" . "4c0f8" => base64_decode("aWNfcHJv" . "amVjdA=="), "_63589e5520a96ab938b2d6" . "9673e48d44" => base64_decode("aWNfaXNzdW" . "U="), "_ca5c0c5d8fc7b7" . "9e47b56dde22624" . "d04" => base64_decode("aGVscGRlc2sucG" . "FnZXMubWFpbg=="), "_680a1dbec29674745c98efd92" . "ae1c0f6" => base64_decode("YXBw" . "X2lj"));
use Claromentis\Infocapture\InfocaptureApplication;
use Claromentis\Search\ItemType;






class ICApplication implements ApplicationInterface, CacheableInterface, IconInterface
{
    public function GetTypes()
    {
        return array($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_63589e5520a96ab938b2d6967" . "3e48d44"] => function () {
            return new ItemType\ICIssue();
        }, $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_b5376d0" . "e9fe3d5e" . "b6bf061a" . "08124c0f" . "8"] => function () {
            return new ItemType\ICProject();
        });
    }
    public function GetName()
    {
        return $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_0c5123aa744f69bbc0e" . "8b3ea2f6e847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_ca5c0c5d" . "8fc7b79e4" . "7b56dde22" . "624d04"]);
    }
    public function GetCode()
    {
        return $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_680a1dbec29674745c98e" . "fd92ae1c0f6"];
    }
    public function GetIcon() : string
    {
        return InfocaptureApplication::APPLICATION_SVG_URL;
    }
    public function getCacheableTypes() : array
    {
        return [$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_63589e5520a96" . "ab938b2d69673e" . "48d44"], $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_b5376d0e9fe3d5eb6bf061a08124c0" . "f8"]];
    }
}